%define upstream_name    Class-Dot
%define upstream_version 1.5.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Class representing a perltags property tag
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Simple)
BuildRequires: perl(version)
BuildArch: noarch

%description
Simple and fast properties for Perl 5.

'Class::Dot' also lets you define types for your properties, like Hash,
String, Int, File, Code, Array and so on.

All the types are populated with sane defaults, so you no longer have to
write code like this:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.5.0-12.mga9
+ Revision: 1808491
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.5.0-11.mga8
+ Revision: 1503572
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.5.0-10.mga7
+ Revision: 1282260
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.5.0-9.mga7
+ Revision: 1163372
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 1.5.0-8.mga7
+ Revision: 1158881
- add BR on perl(inc::Module::Install)

* Sat Jun 18 2016 pterjan <pterjan> 1.5.0-7.mga6
+ Revision: 1023962
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 1.5.0-6.mga6
+ Revision: 934022
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.5.0-5.mga5
+ Revision: 741999
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.0-4.mga5
+ Revision: 683910
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.5.0-3.mga4
+ Revision: 510058
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.5.0-2.mga3
+ Revision: 364347
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 29 2011 jquelin <jquelin> 1.5.0-1.mga2
+ Revision: 136019
- imported package perl-Class-Dot


* Mon Aug 29 2011 cpan2dist 1.5.0-1mga
- initial mageia release, generated with cpan2dist
